Support » Plugin: Custom Scrollbar » Cant install plugin

  • Resolved ewela20

    (@ewela20)


    Helo,
    I’ ve been trying to install your plugin, but when I go to Appearance -> Scrollbars
    I can see only “LOADING” and nothing happens. I can see menu like Scrollbars/Manage options etc but they load forever. What is wrong?

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author miunosoft

    (@miunosoft)

    Hi,

    With the given information, I cannot tell what is wrong.

    You can try temporarily deactivating all the other plugins except Custom Scrollbar and switching to the default theme and see if the problem occurs. If it doesn’t, switch to the theme you are using and see if the problem occurs. If it doesn’t, activate the plugins one by one. At some point, the problem should start occurring. Then you can tell which one causes it.

    Also, you should check your console log of your browser. With Google Chrome, it is easier. Load the problematic page first and right-click on an empty area and select Inspect Elements and click on the Console tab in the newly opened pane. Then reload the page. Some errors in red should be logged. You can post those errors.

    Hello,
    thank you for quick reply. Plugin works perfect with default Twenty Seventeen theme, ergo it must be Themify Ultra Theme I use. Console gives errors like this:

    Uncaught ReferenceError: noUiSlider is not defined
    at initializeNoUISlider (no-ui-slider-initializer.js:23)
    at _initializeNoUISliders (no-ui-slider-initializer.js:70)
    at HTMLInputElement.<anonymous> (no-ui-slider-initializer.js:83)
    at Function.each (load-scripts.php:2)
    at a.fn.init.each (load-scripts.php:2)
    at HTMLDocument.<anonymous> (no-ui-slider-initializer.js:82)
    at i (load-scripts.php:2)
    at Object.fireWith [as resolveWith] (load-scripts.php:2)
    at Function.ready (load-scripts.php:2)
    at HTMLDocument.K (load-scripts.php:2)

    and like this

    Uncaught TypeError: jQuery(…).createTabs is not a function
    at HTMLDocument.<anonymous> (themes.php?page=csb_settings&tab=css:220)
    at i (load-scripts.php?c=0&load[]=jquery-core,jquery-migrate,utils&ver=4.8:2)
    at Object.fireWith [as resolveWith] (load-scripts.php?c=0&load[]=jquery-core,jquery-migrate,utils&ver=4.8:2)
    at Function.ready (load-scripts.php?c=0&load[]=jquery-core,jquery-migrate,utils&ver=4.8:2)
    at HTMLDocument.K (load-scripts.php?c=0&load[]=jquery-core,jquery-migrate,utils&ver=4.8:2)

    How to fix this ? Should I contact theme developers first?

    Plugin Author miunosoft

    (@miunosoft)

    Sounds like your theme is something to do with it. Probably it interferes with the JavaScript scripts that this plugin tries to load on the setting page.

    And yes, please consult the theme developers. Ask them if they can stop loading their resource files in admin areas that do not belong to the theme’s setting pages.

    Helo,
    problem is solved. I had chat with Ultra Theme developers and it was my fault cos I didnt update framework. After update everything is fine. Thank you for your time and support!

    Plugin Author miunosoft

    (@miunosoft)

    No problem. Glad to hear you nailed it!

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘Cant install plugin’ is closed to new replies.